CS::Animation::iBodyBoneProperties Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::Animation::iBodyBoneProperties Struct Reference

These are the main properties of a bone's rigid body. More...

`#include <imesh/bodymesh.h>`

Inheritance diagram for CS::Animation::iBodyBoneProperties:

List of all members.

## Public Member Functions
virtual csVector3 | GetCenter () const =0
| Get the center of mass of the rigid body of this bone.
virtual csMatrix3 | GetInertia () const =0
| Get the matrix of inertia of the rigid body of this bone.
virtual float | GetMass () const =0
| Get the total mass of the rigid body of this bone.
virtual void | SetCenter (const csVector3 &center)=0
| Set the center of mass of the rigid body of this bone.
virtual void | SetInertia (const csMatrix3 &inertia)=0
| Set the matrix of inertia of the rigid body of this bone.
virtual void | SetMass (float mass)=0
| Set the total mass of the rigid body of this bone.

## Detailed Description

These are the main properties of a bone's rigid body.

Definition at line 286 of file bodymesh.h.

## Member Function Documentation

virtual csVector3 CS::Animation::iBodyBoneProperties::GetCenter | ( |  | ) | const`[pure virtual]`

Get the center of mass of the rigid body of this bone.

This is only useful if you use the ODE physical plugin.

virtual csMatrix3 CS::Animation::iBodyBoneProperties::GetInertia | ( |  | ) | const`[pure virtual]`

Get the matrix of inertia of the rigid body of this bone.

This is only useful if you use the ODE physical plugin.

virtual float CS::Animation::iBodyBoneProperties::GetMass | ( |  | ) | const`[pure virtual]`

Get the total mass of the rigid body of this bone.

virtual void CS::Animation::iBodyBoneProperties::SetCenter | ( | const csVector3 & | center | ) | `[pure virtual]`

Set the center of mass of the rigid body of this bone.

This is only useful if you use the ODE physical plugin.

virtual void CS::Animation::iBodyBoneProperties::SetInertia | ( | const csMatrix3 & | inertia | ) | `[pure virtual]`

Set the matrix of inertia of the rigid body of this bone.

This is only useful if you use the ODE physical plugin.

virtual void CS::Animation::iBodyBoneProperties::SetMass | ( | float | mass | ) | `[pure virtual]`

Set the total mass of the rigid body of this bone.

The documentation for this struct was generated from the following file:

- imesh/bodymesh.h